# BEGIN SourceDeps(oneline):
BuildRequires: libjpeg-devel libxmms-devel
# END SourceDeps(oneline)
BuildRequires: libxml2-devel
%define _without_photo_album 1
%undefine _with_photo_album
%define _without_xmms 1
%undefine _with_xmms

%ifnarch i386
%define _without_wine 1
%undefine _with_wine
%endif

%if 0%{?fc7}%{?el4}%{?el5}
%define _without_pulseaudio 1
%undefine _with_pulseaudio
%endif

%define _without_gpgme 1
%undefine _with_gpgme

%if 0%{?el4}
%define _without_gpgme 1
%undefine _with_gpgme
%define _without_libnotify 1
%undefine _with_libnotify
%endif

%if 0%{?rhel}
%define _without_xmms 1
%undefine _with_xmms
%endif

Name:		gyachi
Version:	1.2.11
Release:	alt1_7
Summary:	A Yahoo! chat client with Webcam and voice support

Group:		Networking/WWW
License:	GPLv2
URL:		http://gyachi.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz


BuildRequires:	autoconf automake gawk sed
BuildRequires:	expat-devel gettext-devel
BuildRequires:	glibc-devel >= 2.2.0 webkitgtk-devel
%if 0%{?el4}
BuildRequires:	libtool
%else
BuildRequires:	libtool libltdl7-devel
%endif
%if 0%{?el4}
BuildRequires:	xorg-x11-devel
%else
BuildRequires:	libXt-devel
%endif
BuildRequires:	desktop-file-utils ImageMagick
BuildRequires:	libssl-devel
BuildRequires:	gtk2-devel
BuildRequires:	libjasper-devel >= 1.701.0
BuildRequires:	libv4l-devel

Requires:	gtk2
#jasper >= 1.701 needed for memory leak fix.
%if 0%{?fc7}%{?el4}%{?el5}
Requires:	jasper >= 1.701.0
%else
Requires:	libjasper >= 1.701.0
%endif
Requires:	ImageMagick
Source44: import.info

%description
GYachI is a Linux client for Yahoo! Messenger protocol, 
written using GTK+ GUI toolkit. This package includes both 
the external voice chat program, GYVoice, and the 
external webcam program, GyachI-Webcam. 
In addition, this package includes GyachI-Broadcaster for 
sending webcam streams.

%description -l de
GYachI ist ein Linux client für das Yahoo! Messenger Protokoll 
und besitzt eine GTK+-Oberfläche. Dieses Paket beinhaltet 
auch externe Programme für Audio- und Videochat.

%description -l sr
GYachI je klijent za Yahoo! Messenger, napisan pomoću GTK+ 
grafičkog alata. Uz ovaj program isporučuje se eksterni "chat" program, 
kao i programi za korišćenje web-kamere (slanje i primanje slike).


%if 0%{!?_without_blowfish:1}
%package	plugin-blowfish
Summary:	Blowfish encryption plugin for GyachI
Group:		Networking/WWW
Requires:	%{name} = %{version}-%{release}

%description	plugin-blowfish
Blowfish encryption plugin for GyachI
%endif


%if 0%{!?_without_gpgme:1}
%package	plugin-gpgme
Summary:	GPGMe encryption plugin for GyachI
Group:		Networking/WWW
BuildRequires:	libgpgme-devel
Requires:	%{name} = %{version}-%{release}

%description	plugin-gpgme
GPGMe encryption plugin for GyachI
%endif


%if 0%{!?_without_mcrypt:1}
%package	plugin-mcrypt
Summary:	MCrypt encryption plugin for GyachI
Group:		Networking/WWW
Requires:	%{name} = %{version}-%{release}
Requires:	libmcrypt >= 2.5.0
Buildrequires:	libmcrypt-devel >= 2.5.0
      
%description	plugin-mcrypt
MCrypt encryption plugin for GyachI
%endif


%if 0%{?_with_photo_album:1}
%package	plugin-photo_album
Summary:	Photo album plugin for GyachI
Group:		Networking/WWW
Requires:	%{name} = %{version}-%{release}

%description	plugin-photo_album
Photo album plugin for GyachI
%endif


%if 0%{?_with_xmms:1}
%package	plugin-xmms
Summary:	XMMS plugin for GyachI
Group:		Networking/WWW
Requires:	%{name} = %{version}-%{release}
Requires:	xmms >= 1.2.0
Buildrequires:	xmms-devel >= 1.2.0

%description	plugin-xmms
XMMS plugin for GyachI
%endif


%if 0%{!?_without_libnotify:1}
%package	plugin-libnotify
Summary:	libnotify popup replacement
Group:		Networking/WWW
Requires:	%{name} = %{version}-%{release}
Buildrequires:	libnotify-devel

%description	plugin-libnotify
libnotify plugin for GyachI
%endif


%package	plugin-alsa
Summary:	libalsa sound driver
Group:		Networking/WWW
Requires:	%{name} = %{version}-%{release}
BuildRequires:	libalsa-devel >= 0.9
Requires:	libalsa >= 0.9

%description	plugin-alsa
ALSA sound driver for gyachi


%if 0%{!?_without_pulseaudio:1}
%package	plugin-pulseaudio
Summary:	pulseaudio sound driver
Group:		Networking/WWW
Requires:	%{name} = %{version}-%{release}
BuildRequires:	libpulseaudio-devel
Requires:	libpulseaudio

%description	plugin-pulseaudio
PulseAudio sound driver for gyachi
%endif


%if 0%{!?_without_gtkspell:1}
%package	plugin-gtkspell
Summary:	gtkspell spell check
Group:		Networking/WWW
Requires:	%{name} = %{version}-%{release}
BuildRequires:	libgtkspell-devel
Requires:	libgtkspell

%description	plugin-gtkspell
Spell check plugin for gyachi using gtkspell
%endif


%package	recre8-theme
Summary:	GyachI Prototype theme
Group:		Networking/WWW
Requires:	%{name} = %{version}-%{release}

%description	recre8-theme
%{summary} This package supplies the artwork for the GyachI recre8 theme.


%package	YMlike-theme
Summary:	GyachI Prototype theme
Group:		Networking/WWW
Requires:	%{name} = %{version}-%{release}

%description	YMlike-theme
%{summary} This package supplies the artwork for the GyachI YMlike theme.
This theme is an independent re-implementation of the yahoo theme.


%package	pidgy-theme
Summary:	GyachI Prototype theme
Group:		Networking/WWW
Requires:	%{name} = %{version}-%{release}

%description	pidgy-theme
%{summary} This package supplies the artwork for the GyachI pidgy theme.
This theme uses the pidgin icons, and is copyrighted by it's respective authors.

%prep
%setup -q

%build
./autogen.sh

#NOTE: xmms & photo_album are disabled, by default, in configure.
#      if either are wanted, then they must be explicitly enabled!
%configure --disable-rpath \
	--libexecdir=%{_libexecdir}/gyachi \
	%{?_without_wine:--disable-wine} \
	%{?_without_blowfish:--disable-plugin_blowfish} \
	%{?_without_mcrypt:--disable-plugin_mcrypt} \
	%{?_without_gpgme:--disable-plugin_gpgme} \
	%{?_without_pulseaudio:--disable-plugin_pulseaudio} \
	%{?_without_libnotify:--disable-plugin_libnotify} \
	%{?_without_gktspell:--disable-plugin_gtkspell} \
	%{?_with_photo_album:--enable-plugin_photo_album} \
	%{?_with_xmms:--enable-plugin_xmms} 

make %{?_smp_mflags}


%install
make DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" install
rm $RPM_BUILD_ROOT%{_libdir}/libgyachi.la
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins/libgyachi*.la
%find_lang %{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -sf ../%{name}/themes/gyachi-classic/gyach-icon_48.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
desktop-file-install --delete-original \
	--vendor fedora \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--mode 0644 \
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop


%files -f %{name}.lang
%{_bindir}/%{name}*
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/audibles
%{_datadir}/%{name}/smileys
%{_datadir}/%{name}/sounds
%{_datadir}/%{name}/tuxvironments
%{_datadir}/%{name}/voice_servers
%dir %{_datadir}/%{name}/themes
%{_datadir}/%{name}/themes/gyachi-classic
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/%{name}-*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/libgyachi.so
%{_docdir}/%{name}-%{version}
%docdir %{_docdir}/%{name}-%{version}

%if 0%{!?_without_blowfish:1}
%files plugin-blowfish
%{_libdir}/%{name}/plugins/lib%{name}blowfish.so
%endif

%if 0%{!?_without_gpgme:1}
%files plugin-gpgme
%{_libdir}/%{name}/plugins/lib%{name}gpgme.so
%endif

%if 0%{!?_without_mcrypt:1}
%files plugin-mcrypt
%{_libdir}/%{name}/plugins/lib%{name}mcrypt.so
%endif

%if 0%{?_with_photo_album:1}
%files plugin-photo_album
%{_libdir}/%{name}/plugins/lib%{name}photos.so
%endif

%if 0%{?_with_xmms:1}
%files plugin-xmms
%{_libdir}/%{name}/plugins/lib%{name}xmms.so
%endif

%if 0%{!?_without_libnotify:1}
%files plugin-libnotify
%{_libdir}/%{name}/plugins/lib%{name}libnotify.so
%endif

%files plugin-alsa
%{_libdir}/%{name}/plugins/lib%{name}alsa.so

%if 0%{!?_without_pulseaudio:1}
%files plugin-pulseaudio
%{_libdir}/%{name}/plugins/lib%{name}pulseaudio.so
%endif

%if 0%{!?_without_gtkspell:1}
%files plugin-gtkspell
%{_libdir}/%{name}/plugins/lib%{name}gtkspell.so
%endif

%files recre8-theme
%{_datadir}/%{name}/themes/recre8/

%files YMlike-theme
%{_datadir}/%{name}/themes/YMlike/

%files pidgy-theme
%{_datadir}/%{name}/themes/pidgy/


%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.11-alt1_7
- update to new release by fcimport

* Tue Jan 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.11-alt1_6
- update to new release by fcimport

* Tue Jan 15 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.11-alt1_5
- initial fc import

